package com.mortals.xhx.module.demo.detail.model;

import java.util.List;
/**
* 测试详细查询对象
*
* @author zxfei
* @date 2021-10-09
*/
public class DemoDetailQuery extends DemoDetailEntity {
    /** 开始 主键id */
    private Long idStart;

    /** 结束 主键id */
    private Long idEnd;

    /** 增加 主键id */
    private Long idIncrement;

    /** 主键id列表 */
    private List <Long> idList;

    /** 测试demo表id */
    private List<String> demoIdList;

    /** 开始 浮点值 */
    private Long numberStart;

    /** 结束 浮点值 */
    private Long numberEnd;

    /** 增加 浮点值 */
    private Long numberIncrement;

    /** 浮点值列表 */
    private List <Long> numberList;

    /** 详细 */
    private List<String> detailList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DemoDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DemoDetailQuery> andConditionList;

    public DemoDetailQuery(){}

    /**
    * 获取 开始 主键id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 测试demo表id
    * @return demoIdList
    */
    public List<String> getDemoIdList(){
        return this.demoIdList;
    }

    /**
    * 设置 测试demo表id
    * @param demoIdList
    */
    public void setDemoIdList(List<String> demoIdList){
        this.demoIdList = demoIdList;
    }
    /**
    * 获取 开始 浮点值
    * @return numberStart
    */
    public Long getNumberStart(){
        return this.numberStart;
    }

    /**
    * 设置 开始 浮点值
    * @param numberStart
    */
    public void setNumberStart(Long numberStart){
        this.numberStart = numberStart;
    }

    /**
    * 获取 结束 浮点值
    * @return $numberEnd
    */
    public Long getNumberEnd(){
        return this.numberEnd;
    }

    /**
    * 设置 结束 浮点值
    * @param numberEnd
    */
    public void setNumberEnd(Long numberEnd){
        this.numberEnd = numberEnd;
    }

    /**
    * 获取 增加 浮点值
    * @return numberIncrement
    */
    public Long getNumberIncrement(){
        return this.numberIncrement;
    }

    /**
    * 设置 增加 浮点值
    * @param numberIncrement
    */
    public void setNumberIncrement(Long numberIncrement){
        this.numberIncrement = numberIncrement;
    }

    /**
    * 获取 浮点值
    * @return numberList
    */
    public List<Long> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 浮点值
    * @param numberList
    */
    public void setNumberList(List<Long> numberList){
        this.numberList = numberList;
    }

    /**
    * 获取 详细
    * @return detailList
    */
    public List<String> getDetailList(){
        return this.detailList;
    }

    /**
    * 设置 详细
    * @param detailList
    */
    public void setDetailList(List<String> detailList){
        this.detailList = detailList;
    }
    /**
    * 设置  主键id
    * @param id
    */
    public DemoDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键id
    * @param idStart
    */
    public DemoDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键id
    * @param idEnd
    */
    public DemoDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键id
    * @param idIncrement
    */
    public DemoDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键id
    * @param idList
    */
    public DemoDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 测试demo表id
    * @param demoId
    */
    public DemoDetailQuery demoId(String demoId){
        setDemoId(demoId);
		return this;
    }

    /**
    * 设置 测试demo表id
    * @param demoIdList
    */
    public DemoDetailQuery demoIdList(List<String> demoIdList){
        this.demoIdList = demoIdList;
		return this;
    }

    /**
    * 设置  浮点值
    * @param number
    */
    public DemoDetailQuery number(Long number){
	    setNumber(number);
		return this;
    }
	
	 /**
    * 设置 开始 浮点值
    * @param numberStart
    */
    public DemoDetailQuery numberStart(Long numberStart){
		this.numberStart = numberStart;
		return this;
    }

    /**
    * 设置 结束 浮点值
    * @param numberEnd
    */
    public DemoDetailQuery numberEnd(Long numberEnd){
		this.numberEnd = numberEnd;
		return this;
    }

    /**
    * 设置 增加 浮点值
    * @param numberIncrement
    */
    public DemoDetailQuery numberIncrement(Long numberIncrement){
		this.numberIncrement = numberIncrement;
		return this;
    }

    /**
    * 设置 浮点值
    * @param numberList
    */
    public DemoDetailQuery numberList(List<Long> numberList){
        this.numberList = numberList;
		return this;
        }


	/**
    * 设置 详细
    * @param detail
    */
    public DemoDetailQuery detail(String detail){
        setDetail(detail);
		return this;
    }

    /**
    * 设置 详细
    * @param detailList
    */
    public DemoDetailQuery detailList(List<String> detailList){
        this.detailList = detailList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DemoDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DemoDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DemoDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DemoDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}